Subject: Re: [PATCH] Revert [NET_SCHED]: HTB: fix incorrect use of RB_EMPTY_NODE

From: Jarek Poplawski <[email-masked]>
Date: Tue, 3 Oct 2006 09:27:55 +0200

On Mon, Oct 02, 2006 at 04:49:38PM +0300, Ismail Donmez wrote:
> 02 Eki 2006 Pts 13:24 tarihinde, Jarek Poplawski şunlar?? yazm??şt??: 
> > On 30-09-2006 21:23, Ismail Donmez wrote:
> > > Hi,
> > >
> > > With commit 10fd48f2376db52f08bf0420d2c4f580e39269e1 [1] ,  RB_EMPTY_NODE
> > > changed behaviour so it returns false when the node is empty as expected.
> >
> > ...
> >
> > > -	if (!RB_EMPTY_NODE(rb)) {
> > > +	if (RB_EMPTY_NODE(rb)) {
> >
> > Maybe you have some kind of agreement with Jens Axboe but I
> > can't understand current way of kernel cooperation:
> > he changes some global behavior to the opposite and fixes
> > his code in three places but can't fix it in the fourth place
> > where it's used? Isn't it both trivial and automatic kind
> > of patch?
> 
> I don't know if Jens will going to fix other occurrences but the sch_htb.c fix 
> was recent and Jens'  commit got my attention hence the patch.

As a matter of fact this kind of cooperation has also many pluses:
developers have to be more vigilant, read about other's work,
more people are engaged and last but not least there is this
infallible akpm reminding subsystem...

Best regards,

Jarek P.